<template>
  <div class="swatches">
    <div class="form__field">
      <div class="form__label">
        <strong>Vui lòng chọn màu :</strong>
      </div>
      <div class="form__input">
        <v-swatches v-model="color" popover-x="left"></v-swatches>
      </div>
    </div>
    <div class="form__field">
      <div class="form__label">
        <strong>Vui lòng chọn màu :</strong>
      </div>
      <div class="form__input">
        <v-swatches
          v-model="color"
          popover-x="left"
          swatches="text-advanced"
        ></v-swatches>
      </div>
    </div>
    <div class="form__field">
      <div class="form__input">
        <v-swatches v-model="color">
          <input
            slot="trigger"
            :value="color"
            class="form__input__element"
            readonly
          />
        </v-swatches>
      </div>
    </div>
    <div class="form__field">
      <div class="form__label">
        <strong>Vui lòng chọn màu :</strong>
      </div>
      <div class="form__input">
        <v-swatches
          v-model="color"
          :swatches="swatches"
          row-length="6"
          shapes="circles"
          show-border
          popover-x="left"
        ></v-swatches>
      </div>
    </div>
    <div class="form__field">
      <div class="form__label">
        <strong>Vui lòng chọn màu :</strong>
      </div>
      <div class="form__input">
        <v-swatches
          v-model="color"
          :swatches="swatches"
          row-length="5"
          popover-x="left"
        ></v-swatches>
      </div>
    </div>
    <div class="form__field">
      <div class="form__label">
        <strong>Vui lòng chọn màu :</strong>
        <v-swatches v-model="color" inline></v-swatches>
      </div>
    </div>
    <div class="form__field">
      <div class="form__label">
        <strong>Vui lòng chọn màu :</strong>
      </div>
      <div class="form__input">
        <v-swatches v-model="color" show-fallback popover-x="left"></v-swatches>
      </div>
    </div>
    <div class="form__field">
      <div class="form__label">
        <strong>Vui lòng chọn màu :</strong>
      </div>
      <div class="form__input">
        <v-swatches
          v-model="color"
          show-fallback
          fallback-input-type="color"
          popover-x="left"
        ></v-swatches>
      </div>
    </div>
  </div>
</template>
<script>
import VSwatches from "vue-swatches";
import "vue-swatches/dist/vue-swatches.css";
export default {
  components: { VSwatches },
  data() {
    return {
      color: '#F64272',
      swatches: [
        ["#F64272", "#F6648B", "#F493A7", "#F891A6", "#FFCCD5"],
        ["#8b5aff", "#a27bff", "#b99cff", "#d0bdff", "#e8deff"],
        ["#51e5db", "#74ebe3", "#96f0ea", "#b9f5f1", "#dcfaf8"],
        ["#ffa51a", "#ffb748", "#ffc976", "#ffdba3", "#ffedd1"]
      ]
    };
  }
};
</script>
<style scoped>
.swatches {
    width: 1000px;
    margin: auto;
}
</style>
